Subject: bug#50387: Possible bug in Tramp or in completions

From: Gregory Heytings <[email-masked]>
Date: Wed, 08 Sep 2021 07:57:27 +0000

>
> But as Tramp maintainer I believe there is no bug in Tramp (anymore); I 
> have no knowledge of completion styles in order to help fixing it there.
>

There is a bug, because the return values provided by Tramp to the 
(substring and flex) completion mechanisms are not what these mechanisms 
expect to do their job.  Tramp should not return methods when 
(tramp-completion-handle-file-name-all-completions "" "/") is called, 
because there are no methods in the root directory, what the root 
directory contains is files.  If Tramp was using another character instead 
of "/" before methods, the problem would not exist because there would be 
a clear way to differentiate files and methods.

Anyway, I think I've now made my point as clear as possible, and I use the 
correct bugfix in my local Emacs, so I won't continue this discussion.